# ZYBO xdc
# LED [3:0]
############################
# On-board led             #
############################
set_property PACKAGE_PIN M14 [get_ports led_pins[0]]
set_property IOSTANDARD LVCMOS33 [get_ports led_pins[0]]
set_property PACKAGE_PIN M15 [get_ports led_pins[1]]
set_property IOSTANDARD LVCMOS33 [get_ports led_pins[1]]
set_property PACKAGE_PIN G14 [get_ports led_pins[2]]
set_property IOSTANDARD LVCMOS33 [get_ports led_pins[2]]
set_property PACKAGE_PIN D18 [get_ports led_pins[3]]
set_property IOSTANDARD LVCMOS33 [get_ports led_pins[3]]

# CLK source 125 MHz
set_property PACKAGE_PIN L16 [get_ports clk_pin]
set_property IOSTANDARD LVCMOS33 [get_ports clk_pin]

# RXD UART using PmodUSBUART Pin 3 on JE PMOD 
set_property PACKAGE_PIN J15 [get_ports rxd_pin]
set_property IOSTANDARD LVCMOS33 [get_ports rxd_pin]

# TXD UART using PmodUSBUART Pin 2 on JE PMOD 
set_property PACKAGE_PIN W16 [get_ports txd_pin]
set_property IOSTANDARD LVCMOS33 [get_ports txd_pin]

# Reset - BTN0
set_property PACKAGE_PIN R18 [get_ports rst_pin]
set_property IOSTANDARD LVCMOS33 [get_ports rst_pin]

# SW0
set_property PACKAGE_PIN G15 [get_ports lb_sel_pin]
set_property IOSTANDARD LVCMOS33 [get_ports lb_sel_pin]

# dac_clr_n_pin - JE PMOD connector Pin 7, just a placeholder
# Use appropriate pin when SPI DAC is available
set_property LOC V13 [get_ports dac_clr_n_pin]
set_property IOSTANDARD LVCMOS33 [get_ports dac_clr_n_pin]

# dac_cs_n_pin - JE  PMOD connector Pin 8, just a placeholder
# Use appropriate pin when SPI DAC is available
set_property LOC U17 [get_ports dac_cs_n_pin]
set_property IOSTANDARD LVCMOS33 [get_ports dac_cs_n_pin]

# spi_clk_pin - JE PMOD connector Pin 9, just a placeholdere
# Use appropriate pin when SPI DAC is available
set_property LOC T17 [get_ports spi_clk_pin]
set_property IOSTANDARD LVCMOS33 [get_ports spi_clk_pin]

# spi_mosi_pin - JE PMOD connector Pin 10, just a placeholder
# Use appropriate pin when SPI DAC is available
set_property LOC Y17 [get_ports spi_mosi_pin]
set_property IOSTANDARD LVCMOS33 [get_ports spi_mosi_pin]

set_property IOB TRUE [all_fanin -only_cells -startpoints_only -flat [all_outputs]]
